=== modified file 'NEWS'
--- NEWS	2009-03-27 16:55:38 +0000
+++ NEWS	2009-03-28 02:10:54 +0000
@@ -81,6 +81,11 @@
   implemented using a new ``Repository.insert_stream_locked`` RPC.
   (Andrew Bennetts, Robert Collins)
 
+* The "ignoring files outside view: .." message has been re-worded
+  to "Ignoring files outside view. View is .." to reduce confusion
+  about what was being considered and what was being ignored.
+  (Ian Clatworthy)
+
 * Tildes are no longer escaped. No more %7Euser/project/branch!
   (Jonathan Lange)
 

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2009-03-27 16:55:38 +0000
+++ bzrlib/builtins.py	2009-03-28 02:10:54 +0000
@@ -95,7 +95,7 @@
             if view_files:
                 file_list = view_files
                 view_str = views.view_display_str(view_files)
-                note("ignoring files outside view: %s" % view_str)
+                note("Ignoring files outside view. View is %s" % view_str)
     return tree, file_list
 
 
@@ -151,7 +151,7 @@
             if view_files:
                 file_list = view_files
                 view_str = views.view_display_str(view_files)
-                note("ignoring files outside view: %s" % view_str)
+                note("Ignoring files outside view. View is %s" % view_str)
         return tree, file_list
     tree = WorkingTree.open_containing(osutils.realpath(file_list[0]))[0]
     return tree, safe_relpath_files(tree, file_list, canonicalize,
@@ -2343,7 +2343,7 @@
             if view_files:
                 apply_view = True
                 view_str = views.view_display_str(view_files)
-                note("ignoring files outside view: %s" % view_str)
+                note("Ignoring files outside view. View is %s" % view_str)
 
         tree.lock_read()
         try:

=== modified file 'bzrlib/diff.py'
--- bzrlib/diff.py	2009-03-24 01:53:42 +0000
+++ bzrlib/diff.py	2009-03-28 02:10:54 +0000
@@ -367,7 +367,7 @@
             if view_files:
                 specific_files = view_files
                 view_str = views.view_display_str(view_files)
-                note("*** ignoring files outside view: %s" % view_str)
+                note("*** Ignoring files outside view. View is %s" % view_str)
 
     # Get extra trees that ought to be searched for file-ids
     extra_trees = None

=== modified file 'bzrlib/tests/blackbox/test_filtered_view_ops.py'
--- bzrlib/tests/blackbox/test_filtered_view_ops.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/blackbox/test_filtered_view_ops.py	2009-03-28 02:10:54 +0000
@@ -38,7 +38,7 @@
     def test_view_on_status(self):
         wt = self.make_abc_tree_with_ab_view()
         out, err = self.run_bzr('status')
-        self.assertEquals('ignoring files outside view: a, b\n', err)
+        self.assertEquals('Ignoring files outside view. View is a, b\n', err)
         self.assertEquals('unknown:\n  a\n  b\n', out)
 
     def test_view_on_status_selected(self):
@@ -54,7 +54,7 @@
     def test_view_on_add(self):
         wt = self.make_abc_tree_with_ab_view()
         out, err = self.run_bzr('add')
-        self.assertEquals('ignoring files outside view: a, b\n', err)
+        self.assertEquals('Ignoring files outside view. View is a, b\n', err)
         self.assertEquals('adding a\nadding b\n', out)
 
     def test_view_on_add_selected(self):
@@ -71,7 +71,7 @@
         wt = self.make_abc_tree_with_ab_view()
         self.run_bzr('add')
         out, err = self.run_bzr('diff', retcode=1)
-        self.assertEquals('*** ignoring files outside view: a, b\n', err)
+        self.assertEquals('*** Ignoring files outside view. View is a, b\n', err)
 
     def test_view_on_diff_selected(self):
         wt = self.make_abc_tree_with_ab_view()
@@ -89,7 +89,7 @@
         self.run_bzr('add')
         out, err = self.run_bzr('commit -m "testing commit"')
         err_lines = err.splitlines()
-        self.assertEquals('ignoring files outside view: a, b', err_lines[0])
+        self.assertEquals('Ignoring files outside view. View is a, b', err_lines[0])
         self.assertStartsWith(err_lines[1], 'Committing to:')
         self.assertEquals('added a', err_lines[2])
         self.assertEquals('added b', err_lines[3])
@@ -126,7 +126,7 @@
         self.run_bzr('add')
         out, err = self.run_bzr('revert')
         err_lines = err.splitlines()
-        self.assertEquals('ignoring files outside view: a, b', err_lines[0])
+        self.assertEquals('Ignoring files outside view. View is a, b', err_lines[0])
         self.assertEquals('-   a', err_lines[1])
         self.assertEquals('-   b', err_lines[2])
         self.assertEquals('', out)
@@ -147,7 +147,7 @@
         self.run_bzr('add')
         out, err = self.run_bzr('ls')
         out_lines = out.splitlines()
-        self.assertEquals('ignoring files outside view: a, b\n', err)
+        self.assertEquals('Ignoring files outside view. View is a, b\n', err)
         self.assertEquals('a', out_lines[0])
         self.assertEquals('b', out_lines[1])
 

